import java.io.*;
import java.util.*;
import java.util.zip.*;

public class Test
{
	public static void printContents(ZipFile jarfile) throws IOException
	{
		Enumeration enEntries = jarfile.entries();

		for (;enEntries.hasMoreElements();)
		{
			ZipEntry entry = (ZipEntry)enEntries.nextElement();
			String name = entry.getName();

			/*
			 *Read all the contents of the Jar File
			 */

		    InputStream inStream = jarfile.getInputStream(entry);
			try
			{
				byte[] content = loadBytes(inStream, (int)entry.getSize());
				System.out.println("\n\n--------------------------------");
				System.out.println("------------" + name + "-----------");
				System.out.println(new String(content));
				System.out.println("--------------------------------\n");
			}//end of try
			finally
			{
				try
				{
					inStream.close();
				} catch (Throwable t)
				{
					System.out.println(t);
				}
			}//end of finally
		}//end of for

	}
	private static byte[] loadBytes(InputStream in, int length) throws IOException
	{
		byte[] buffer = new byte[length];
		int nRead = 0;
		int incr = 0;
		while ( (length > 0) && ((nRead = in.read(buffer,incr,length)) != -1))
		{
		incr +=nRead;
		length -= nRead;
		}
		return buffer;
	}//end of method loadBytes

	public static void main(String [] args) throws ZipException, IOException
	{
		if(args.length != 1)
		{
			System.out.println("Usage: java Test <jar file location>");
			System.exit(0);
		}

		ZipFile zf = new ZipFile(new File(args[0]));

		Test.printContents(zf);
	}
}